var opcodes = [
	{op:"ADC A,(HL)",	wt:"7",	sz:"1",	bt:"8E"},
	{op:"ADC A,(IX+N)",	wt:"19",	sz:"3",	bt:"DD 8E XX"},
	{op:"ADC A,(IY+N)",	wt:"19",	sz:"3",	bt:"FD 8E XX"},
	{op:"ADC A,r",	wt:"4",	sz:"1",	bt:"88+rb"},
	{op:"ADC A,N",	wt:"7",	sz:"2",	bt:"CE XX"},
	{op:"ADC HL,BC",	wt:"15",	sz:"2",	bt:"ED 4A"},
	{op:"ADC HL,DE",	wt:"15",	sz:"2",	bt:"ED 5A"},
	{op:"ADC HL,HL",	wt:"15",	sz:"2",	bt:"ED 6A"},
	{op:"ADC HL,SP",	wt:"15",	sz:"2",	bt:"ED 7A"},
	{op:"ADD A,(HL)",	wt:"7",	sz:"1",	bt:"86"},
	{op:"ADD A,(IX+N)",	wt:"19",	sz:"3",	bt:"DD 86 XX"},
	{op:"ADD A,(IY+N)",	wt:"19",	sz:"3",	bt:"FD 86 XX"},
	{op:"ADD A,r",	wt:"4",	sz:"1",	bt:"80+rb"},
	{op:"ADD A,N",	wt:"7",	sz:"2",	bt:"C6 XX"},
	{op:"ADD HL,BC",	wt:"11",	sz:"1",	bt:"09"},
	{op:"ADD HL,DE",	wt:"11",	sz:"1",	bt:"19"},
	{op:"ADD HL,HL",	wt:"11",	sz:"1",	bt:"29"},
	{op:"ADD HL,SP",	wt:"11",	sz:"1",	bt:"39"},
	{op:"ADD IX,BC",	wt:"15",	sz:"2",	bt:"DD 09"},
	{op:"ADD IX,DE",	wt:"15",	sz:"2",	bt:"DD 19"},
	{op:"ADD IX,IX",	wt:"15",	sz:"2",	bt:"DD 29"},
	{op:"ADD IX,SP",	wt:"15",	sz:"2",	bt:"DD 39"},
	{op:"ADD IY,BC",	wt:"15",	sz:"2",	bt:"FD 09"},
	{op:"ADD IY,DE",	wt:"15",	sz:"2",	bt:"FD 19"},
	{op:"ADD IY,IY",	wt:"15",	sz:"2",	bt:"FD 29"},
	{op:"ADD IY,SP",	wt:"15",	sz:"2",	bt:"FD 39"},
	{op:"AND (HL)",	wt:"7",	sz:"1",	bt:"A6"},
	{op:"AND (IX+N)",	wt:"19",	sz:"3",	bt:"DD A6 XX"},
	{op:"AND (IY+N)",	wt:"19",	sz:"3",	bt:"FD A6 XX"},
	{op:"AND r",	wt:"4",	sz:"1",	bt:"A0+rb"},
	{op:"AND N",	wt:"7",	sz:"2",	bt:"E6 XX"},
	{op:"BIT b,(HL)",	wt:"12",	sz:"2",	bt:"CB 46+8*b"},
	{op:"BIT b,(IX+N)",	wt:"20",	sz:"4",	bt:"DD CB XX 46+8*b"},
	{op:"BIT b,(IY+N)",	wt:"20",	sz:"4",	bt:"FD CB XX 46+8*b"},
	{op:"BIT b,r",	wt:"8",	sz:"2",	bt:"CB 40+8*b+rb"},
	{op:"CALL C,NN",	wt:"17/1",	sz:"3",	bt:"DC XX XX"},
	{op:"CALL M,NN",	wt:"17/1",	sz:"3",	bt:"FC XX XX"},
	{op:"CALL NC,NN",	wt:"17/1",	sz:"3",	bt:"D4 XX XX"},
	{op:"CALL NC,NN",	wt:"17/1",	sz:"3",	bt:"D4 XX XX"},
	{op:"CALL NN",	wt:"17",	sz:"3",	bt:"CD XX XX"},
	{op:"CALL NZ,NN",	wt:"17/1",	sz:"3",	bt:"C4 XX XX"},
	{op:"CALL P,NN",	wt:"17/1",	sz:"3",	bt:"F4 XX XX"},
	{op:"CALL PE,NN",	wt:"17/1",	sz:"3",	bt:"EC XX XX"},
	{op:"CALL PO,NN",	wt:"17/1",	sz:"3",	bt:"E4 XX XX"},
	{op:"CALL Z,NN",	wt:"17/1",	sz:"3",	bt:"CC XX XX"},
	{op:"CCF",	wt:"4",	sz:"1",	bt:"3F"},
	{op:"CP (HL)",	wt:"7",	sz:"1",	bt:"BE"},
	{op:"CP (IX+N)",	wt:"19",	sz:"3",	bt:"DD BE XX"},
	{op:"CP (IY+N)",	wt:"19",	sz:"3",	bt:"FD BE XX"},
	{op:"CP r",	wt:"4",	sz:"1",	bt:"B8+rb"},
	{op:"CP N",	wt:"7",	sz:"2",	bt:"FE XX"},
	{op:"CPD",	wt:"16",	sz:"2",	bt:"ED A9"},
	{op:"CPDR",	wt:"21/1",	sz:"2",	bt:"ED B9"},
	{op:"CPI",	wt:"16",	sz:"2",	bt:"ED A1"},
	{op:"CPIR",	wt:"21/1",	sz:"2",	bt:"ED B1"},
	{op:"CPL",	wt:"4",	sz:"1",	bt:"2F"},
	{op:"DAA",	wt:"4",	sz:"1",	bt:"27"},
	{op:"DEC (HL)",	wt:"11",	sz:"1",	bt:"35"},
	{op:"DEC (IX+N)",	wt:"23",	sz:"3",	bt:"DD 35 XX"},
	{op:"DEC (IY+N)",	wt:"23",	sz:"3",	bt:"FD 35 XX"},
	{op:"DEC A",	wt:"4",	sz:"1",	bt:"3D"},
	{op:"DEC B",	wt:"4",	sz:"1",	bt:"05"},
	{op:"DEC BC",	wt:"6",	sz:"1",	bt:"0B"},
	{op:"DEC C",	wt:"4",	sz:"1",	bt:"0D"},
	{op:"DEC D",	wt:"4",	sz:"1",	bt:"15"},
	{op:"DEC DE",	wt:"6",	sz:"1",	bt:"1B"},
	{op:"DEC E",	wt:"4",	sz:"1",	bt:"1D"},
	{op:"DEC H",	wt:"4",	sz:"1",	bt:"25"},
	{op:"DEC HL",	wt:"6",	sz:"1",	bt:"2B"},
	{op:"DEC IX",	wt:"10",	sz:"2",	bt:"DD 2B"},
	{op:"DEC IY",	wt:"10",	sz:"2",	bt:"FD 2B"},
	{op:"DEC L",	wt:"4",	sz:"2",	bt:"2D"},
	{op:"DEC SP",	wt:"6",	sz:"1",	bt:"3B"},
	{op:"DI",	wt:"4",	sz:"1",	bt:"F3"},
	{op:"DJNZ $+2",	wt:"13/8",	sz:"1",	bt:"10"},
	{op:"EI",	wt:"4",	sz:"1",	bt:"FB"},
	{op:"EX (SP),HL",	wt:"19",	sz:"1",	bt:"E3"},
	{op:"EX (SP),IX",	wt:"23",	sz:"2",	bt:"DD E3"},
	{op:"EX (SP),IY",	wt:"23",	sz:"2",	bt:"FD E3"},
	{op:"EX AF,AF'",	wt:"4",	sz:"1",	bt:"08"},
	{op:"EX DE,HL",	wt:"4",	sz:"1",	bt:"EB"},
	{op:"EXX",	wt:"4",	sz:"1",	bt:"D9"},
	{op:"HALT",	wt:"4",	sz:"1",	bt:"76"},
	{op:"IM 0",	wt:"8",	sz:"2",	bt:"ED 46"},
	{op:"IM 1",	wt:"8",	sz:"2",	bt:"ED 56"},
	{op:"IM 2",	wt:"8",	sz:"2",	bt:"ED 5E"},
	{op:"IN A,(C)",	wt:"12",	sz:"2",	bt:"ED 78"},
	{op:"IN A,(N)",	wt:"11",	sz:"2",	bt:"DB XX"},
	{op:"IN B,(C)",	wt:"12",	sz:"2",	bt:"ED 40"},
	{op:"IN C,(C)",	wt:"12",	sz:"2",	bt:"ED 48"},
	{op:"IN D,(C)",	wt:"12",	sz:"2",	bt:"ED 50"},
	{op:"IN E,(C)",	wt:"12",	sz:"2",	bt:"ED 58"},
	{op:"IN H,(C)",	wt:"12",	sz:"2",	bt:"ED 60"},
	{op:"IN L,(C)",	wt:"12",	sz:"2",	bt:"ED 68"},
	{op:"INC (HL)",	wt:"11",	sz:"1",	bt:"34"},
	{op:"INC (IX+N)",	wt:"23",	sz:"3",	bt:"DD 34 XX"},
	{op:"INC (IY+N)",	wt:"23",	sz:"3",	bt:"FD 34 XX"},
	{op:"INC A",	wt:"4",	sz:"1",	bt:"3C"},
	{op:"INC B",	wt:"4",	sz:"1",	bt:"04"},
	{op:"INC BC",	wt:"6",	sz:"1",	bt:"03"},
	{op:"INC C",	wt:"4",	sz:"1",	bt:"0C"},
	{op:"INC D",	wt:"4",	sz:"1",	bt:"14"},
	{op:"INC DE",	wt:"6",	sz:"1",	bt:"13"},
	{op:"INC E",	wt:"4",	sz:"1",	bt:"1C"},
	{op:"INC H",	wt:"4",	sz:"1",	bt:"24"},
	{op:"INC HL",	wt:"6",	sz:"1",	bt:"23"},
	{op:"INC IX",	wt:"10",	sz:"2",	bt:"DD 23"},
	{op:"INC IY",	wt:"10",	sz:"2",	bt:"FD 23"},
	{op:"INC L",	wt:"4",	sz:"1",	bt:"2C"},
	{op:"INC SP",	wt:"6",	sz:"1",	bt:"33"},
	{op:"IND",	wt:"16",	sz:"2",	bt:"ED AA"},
	{op:"INDR",	wt:"21/1",	sz:"2",	bt:"ED BA"},
	{op:"INI",	wt:"16",	sz:"2",	bt:"ED A2"},
	{op:"INIR",	wt:"21/1",	sz:"2",	bt:"ED B2"},
	{op:"JP $NN",	wt:"10",	sz:"3",	bt:"C3 XX XX"},
	{op:"JP (HL)",	wt:"4",	sz:"1",	bt:"E9"},
	{op:"JP (IX)",	wt:"8",	sz:"2",	bt:"DD E9"},
	{op:"JP (IY)",	wt:"8",	sz:"2",	bt:"FD E9"},
	{op:"JP C,$NN",	wt:"10/1",	sz:"3",	bt:"DA XX XX"},
	{op:"JP M,$NN",	wt:"10/1",	sz:"3",	bt:"FA XX XX"},
	{op:"JP NC,$NN",	wt:"10/1",	sz:"3",	bt:"D2 XX XX"},
	{op:"JP NZ,$NN",	wt:"10/1",	sz:"3",	bt:"C2 XX XX"},
	{op:"JP P,$NN",	wt:"10/1",	sz:"3",	bt:"F2 XX XX"},
	{op:"JP PE,$NN",	wt:"10/1",	sz:"3",	bt:"EA XX XX"},
	{op:"JP PO,$NN",	wt:"10/1",	sz:"3",	bt:"E2 XX XX"},
	{op:"JP Z,$NN",	wt:"10/1",	sz:"3",	bt:"CA XX XX"},
	{op:"JR $N+2",	wt:"12",	sz:"2",	bt:"18 XX"},
	{op:"JR C,$N+2",	wt:"12/7",	sz:"2",	bt:"38 XX"},
	{op:"JR NC,$N+2",	wt:"12/7",	sz:"2",	bt:"30 XX"},
	{op:"JR NZ,$N+2",	wt:"12/7",	sz:"2",	bt:"20 XX"},
	{op:"JR Z,$N+2",	wt:"12/7",	sz:"2",	bt:"28 XX"},
	{op:"LD (BC),A",	wt:"7",	sz:"1",	bt:"02"},
	{op:"LD (DE),A",	wt:"7",	sz:"1",	bt:"12"},
	{op:"LD (HL),r",	wt:"7",	sz:"1",	bt:"70+rb"},
	{op:"LD (HL),N",	wt:"10",	sz:"2",	bt:"36 XX"},
	{op:"LD (IX+N),r",	wt:"19",	sz:"3",	bt:"DD 70+rb XX"},
	{op:"LD (IX+N),N",	wt:"19",	sz:"4",	bt:"DD 36 XX XX"},
	{op:"LD (IY+N),r",	wt:"19",	sz:"3",	bt:"FD 70+rb XX"},
	{op:"LD (IY+N),N",	wt:"19",	sz:"4",	bt:"FD 36 XX XX"},
	{op:"LD (NN),A",	wt:"13",	sz:"3",	bt:"32 XX XX"},
	{op:"LD (NN),BC",	wt:"20",	sz:"4",	bt:"ED 43 XX XX"},
	{op:"LD (NN),DE",	wt:"20",	sz:"4",	bt:"ED 53 XX XX"},
	{op:"LD (NN),HL",	wt:"16",	sz:"3",	bt:"22 XX XX"},
	{op:"LD (NN),IX",	wt:"20",	sz:"4",	bt:"DD 22 XX XX"},
	{op:"LD (NN),IY",	wt:"20",	sz:"4",	bt:"FD 22 XX XX"},
	{op:"LD (NN),SP",	wt:"20",	sz:"4",	bt:"ED 73 XX XX"},
	{op:"LD A,(BC)",	wt:"7",	sz:"1",	bt:"0A"},
	{op:"LD A,(DE)",	wt:"7",	sz:"1",	bt:"1A"},
	{op:"LD A,(HL)",	wt:"7",	sz:"1",	bt:"7E"},
	{op:"LD A,(IX+N)",	wt:"19",	sz:"3",	bt:"DD 7E XX"},
	{op:"LD A,(IY+N)",	wt:"19",	sz:"3",	bt:"FD 7E XX"},
	{op:"LD A,(NN)",	wt:"13",	sz:"3",	bt:"3A XX XX"},
	{op:"LD A,r",	wt:"4",	sz:"1",	bt:"78+rb"},
	{op:"LD A,I",	wt:"9",	sz:"2",	bt:"ED 57"},
	{op:"LD A,N",	wt:"7",	sz:"2",	bt:"3E XX"},
	{op:"LD B,(HL)",	wt:"7",	sz:"1",	bt:"46"},
	{op:"LD B,(IX+N)",	wt:"19",	sz:"3",	bt:"DD 46 XX"},
	{op:"LD B,(IY+N)",	wt:"19",	sz:"3",	bt:"FD 46 XX"},
	{op:"LD B,r",	wt:"4",	sz:"1",	bt:"40+rb"},
	{op:"LD B,N",	wt:"7",	sz:"2",	bt:"06 XX"},
	{op:"LD BC,(NN)",	wt:"20",	sz:"4",	bt:"ED 4B XX XX"},
	{op:"LD BC,NN",	wt:"10",	sz:"3",	bt:"01 XX XX"},
	{op:"LD C,(HL)",	wt:"7",	sz:"1",	bt:"4E"},
	{op:"LD C,(IX+N)",	wt:"19",	sz:"3",	bt:"DD 4E XX"},
	{op:"LD C,(IY+N)",	wt:"19",	sz:"3",	bt:"FD 4E XX"},
	{op:"LD C,r",	wt:"4",	sz:"1",	bt:"48+rb"},
	{op:"LD C,N",	wt:"7",	sz:"2",	bt:"0E XX"},
	{op:"LD D,(HL)",	wt:"7",	sz:"1",	bt:"56"},
	{op:"LD D,(IX+N)",	wt:"19",	sz:"3",	bt:"DD 56 XX"},
	{op:"LD D,(IY+N)",	wt:"19",	sz:"3",	bt:"FD 56 XX"},
	{op:"LD D,r",	wt:"4",	sz:"1",	bt:"50+rb"},
	{op:"LD D,N",	wt:"7",	sz:"2",	bt:"16 XX"},
	{op:"LD DE,(NN)",	wt:"20",	sz:"4",	bt:"ED 5B XX XX"},
	{op:"LD DE,NN",	wt:"10",	sz:"3",	bt:"11 XX XX"},
	{op:"LD E,(HL)",	wt:"7",	sz:"1",	bt:"5E"},
	{op:"LD E,(IX+N)",	wt:"19",	sz:"3",	bt:"DD 5E XX"},
	{op:"LD E,(IY+N)",	wt:"19",	sz:"3",	bt:"FD 5E XX"},
	{op:"LD E,r",	wt:"4",	sz:"1",	bt:"58+rb"},
	{op:"LD E,N",	wt:"7",	sz:"2",	bt:"1E XX"},
	{op:"LD H,(HL)",	wt:"7",	sz:"1",	bt:"66"},
	{op:"LD H,(IX+N)",	wt:"19",	sz:"3",	bt:"DD 66 XX"},
	{op:"LD H,(IY+N)",	wt:"19",	sz:"3",	bt:"FD 66 XX"},
	{op:"LD H,r",	wt:"4",	sz:"1",	bt:"60+rb"},
	{op:"LD H,N",	wt:"7",	sz:"2",	bt:"26 XX"},
	{op:"LD HL,(NN)",	wt:"16",	sz:"3",	bt:"2A XX XX"},
	{op:"LD HL,NN",	wt:"10",	sz:"3",	bt:"21 XX XX"},
	{op:"LD I,A",	wt:"9",	sz:"2",	bt:"ED 47"},
	{op:"LD IX,(NN)",	wt:"20",	sz:"4",	bt:"DD 2A XX XX"},
	{op:"LD IX,NN",	wt:"14",	sz:"4",	bt:"DD 21 XX XX"},
	{op:"LD IY,(NN)",	wt:"20",	sz:"4",	bt:"FD 2A XX XX"},
	{op:"LD IY,NN",	wt:"14",	sz:"4",	bt:"FD 21 XX XX"},
	{op:"LD L,(HL)",	wt:"7",	sz:"1",	bt:"6E"},
	{op:"LD L,(IX+N)",	wt:"19",	sz:"3",	bt:"DD 6E XX"},
	{op:"LD L,(IY+N)",	wt:"19",	sz:"3",	bt:"FD 6E XX"},
	{op:"LD L,r",	wt:"4",	sz:"1",	bt:"68+rb"},
	{op:"LD L,N",	wt:"7",	sz:"2",	bt:"2E XX"},
	{op:"LD SP,(NN)",	wt:"20",	sz:"4",	bt:"ED 7B XX XX"},
	{op:"LD SP,HL",	wt:"6",	sz:"1",	bt:"F9"},
	{op:"LD SP,IX",	wt:"10",	sz:"2",	bt:"DD F9"},
	{op:"LD SP,IY",	wt:"10",	sz:"2",	bt:"FD F9"},
	{op:"LD SP,NN",	wt:"10",	sz:"3",	bt:"31 XX XX"},
	{op:"LDD",	wt:"16",	sz:"2",	bt:"ED A8"},
	{op:"LDDR",	wt:"21/1",	sz:"2",	bt:"ED B8"},
	{op:"LDI",	wt:"16",	sz:"2",	bt:"ED A0"},
	{op:"LDIR",	wt:"21/1",	sz:"2",	bt:"ED B0"},
	{op:"NEG",	wt:"8",	sz:"2",	bt:"ED 44"},
	{op:"NOP",	wt:"4",	sz:"1",	bt:"00"},
	{op:"OR (HL)",	wt:"7",	sz:"1",	bt:"B6"},
	{op:"OR (IX+N)",	wt:"19",	sz:"3",	bt:"DD B6 XX"},
	{op:"OR (IY+N)",	wt:"19",	sz:"3",	bt:"FD B6 XX"},
	{op:"OR r",	wt:"4",	sz:"1",	bt:"B0+rb"},
	{op:"OR N",	wt:"7",	sz:"2",	bt:"F6 XX"},
	{op:"OTDR",	wt:"21/1",	sz:"2",	bt:"ED BB"},
	{op:"OTIR",	wt:"21/1",	sz:"2",	bt:"ED B3"},
	{op:"OUT (C),A",	wt:"12",	sz:"2",	bt:"ED 79"},
	{op:"OUT (C),B",	wt:"12",	sz:"2",	bt:"ED 41"},
	{op:"OUT (C),C",	wt:"12",	sz:"2",	bt:"ED 49"},
	{op:"OUT (C),D",	wt:"12",	sz:"2",	bt:"ED 51"},
	{op:"OUT (C),E",	wt:"12",	sz:"2",	bt:"ED 59"},
	{op:"OUT (C),H",	wt:"12",	sz:"2",	bt:"ED 61"},
	{op:"OUT (C),L",	wt:"12",	sz:"2",	bt:"ED 69"},
	{op:"OUT (N),A",	wt:"11",	sz:"2",	bt:"D3 XX"},
	{op:"OUTD",	wt:"16",	sz:"2",	bt:"ED AB"},
	{op:"OUTI",	wt:"16",	sz:"2",	bt:"ED A3"},
	{op:"POP AF",	wt:"10",	sz:"1",	bt:"F1"},
	{op:"POP BC",	wt:"10",	sz:"1",	bt:"C1"},
	{op:"POP DE",	wt:"10",	sz:"1",	bt:"D1"},
	{op:"POP HL",	wt:"10",	sz:"1",	bt:"E1"},
	{op:"POP IX",	wt:"14",	sz:"2",	bt:"DD E1"},
	{op:"POP IY",	wt:"14",	sz:"2",	bt:"FD E1"},
	{op:"PUSH AF",	wt:"11",	sz:"1",	bt:"F5"},
	{op:"PUSH BC",	wt:"11",	sz:"1",	bt:"C5"},
	{op:"PUSH DE",	wt:"11",	sz:"1",	bt:"D5"},
	{op:"PUSH HL",	wt:"11",	sz:"1",	bt:"E5"},
	{op:"PUSH IX",	wt:"15",	sz:"2",	bt:"DD E5"},
	{op:"PUSH IY",	wt:"15",	sz:"2",	bt:"FD E5"},
	{op:"RES b,(HL)",	wt:"15",	sz:"2",	bt:"CB 86+8*b"},
	{op:"RES b,(IX+N)",	wt:"23",	sz:"4",	bt:"DD CB XX 86+8*b"},
	{op:"RES b,(IY+N)",	wt:"23",	sz:"4",	bt:"FD CB XX 86+8*b"},
	{op:"RES b,r",	wt:"8",	sz:"2",	bt:"CB 80+8*b+rb"},
	{op:"RET",	wt:"10",	sz:"1",	bt:"C9"},
	{op:"RET C",	wt:"11/5",	sz:"1",	bt:"D8"},
	{op:"RET M",	wt:"11/5",	sz:"1",	bt:"F8"},
	{op:"RET NC",	wt:"11/5",	sz:"1",	bt:"D0"},
	{op:"RET NZ",	wt:"11/5",	sz:"1",	bt:"C0"},
	{op:"RET P",	wt:"11/5",	sz:"1",	bt:"F0"},
	{op:"RET PE",	wt:"11/5",	sz:"1",	bt:"E8"},
	{op:"RET PO",	wt:"11/5",	sz:"1",	bt:"E0"},
	{op:"RET Z",	wt:"11/5",	sz:"1",	bt:"C8"},
	{op:"RETI",	wt:"14",	sz:"2",	bt:"ED 4D"},
	{op:"RETN",	wt:"14",	sz:"2",	bt:"ED 45"},
	{op:"RL (HL)",	wt:"15",	sz:"2",	bt:"CB 16"},
	{op:"RL r",	wt:"8",	sz:"2",	bt:"CB 10+rb"},
	{op:"RL (IX+N)",	wt:"23",	sz:"4",	bt:"DD CB XX 16"},
	{op:"RL (IY+N)",	wt:"23",	sz:"4",	bt:"FD CB XX 16"},
	{op:"RLA",	wt:"4",	sz:"1",	bt:"17"},
	{op:"RLC (HL)",	wt:"15",	sz:"2",	bt:"CB 06"},
	{op:"RLC (IX+N)",	wt:"23",	sz:"4",	bt:"DD CB XX 06"},
	{op:"RLC (IY+N)",	wt:"23",	sz:"4",	bt:"FD CB XX 06"},
	{op:"RLC r",	wt:"8",	sz:"2",	bt:"CB 00+rb"},
	{op:"RLCA",	wt:"4",	sz:"1",	bt:"07"},
	{op:"RLD",	wt:"18",	sz:"2",	bt:"ED 6F"},
	{op:"RR (HL)",	wt:"15",	sz:"2",	bt:"CB 1E"},
	{op:"RR r",	wt:"8",	sz:"2",	bt:"CB 18+rb"},
	{op:"RR (IX+N)",	wt:"23",	sz:"4",	bt:"DD CB XX 1E"},
	{op:"RR (IY+N)",	wt:"23",	sz:"4",	bt:"FD CB XX 1E"},
	{op:"RRA",	wt:"4",	sz:"1",	bt:"1F"},
	{op:"RRC (HL)",	wt:"15",	sz:"2",	bt:"CB 0E"},
	{op:"RRC (IX+N)",	wt:"23",	sz:"4",	bt:"DD CB XX 0E"},
	{op:"RRC (IY+N)",	wt:"23",	sz:"4",	bt:"FD CB XX 0E"},
	{op:"RRC r",	wt:"8",	sz:"2",	bt:"CB 08+rb"},
	{op:"RRCA",	wt:"4",	sz:"1",	bt:"0F"},
	{op:"RRD",	wt:"18",	sz:"2",	bt:"ED 67"},
	{op:"RST 0",	wt:"11",	sz:"1",	bt:"C7"},
	{op:"RST 8H",	wt:"11",	sz:"1",	bt:"CF"},
	{op:"RST 10H",	wt:"11",	sz:"1",	bt:"D7"},
	{op:"RST 18H",	wt:"11",	sz:"1",	bt:"DF"},
	{op:"RST 20H",	wt:"11",	sz:"1",	bt:"E7"},
	{op:"RST 28H",	wt:"11",	sz:"1",	bt:"EF"},
	{op:"RST 30H",	wt:"11",	sz:"1",	bt:"F7"},
	{op:"RST 38H",	wt:"11",	sz:"1",	bt:"FF"},
	{op:"SBC (HL)",	wt:"7",	sz:"1",	bt:"9E"},
	{op:"SBC A,(IX+N)",	wt:"19",	sz:"3",	bt:"DD 9E XX"},
	{op:"SBC A,(IY+N)",	wt:"19",	sz:"3",	bt:"FD 9E XX"},
	{op:"SBC A,N",	wt:"7",	sz:"2",	bt:"DE XX"},
	{op:"SBC r",	wt:"4",	sz:"1",	bt:"98+rb"},
	{op:"SBC HL,BC",	wt:"15",	sz:"2",	bt:"ED 42"},
	{op:"SBC HL,DE",	wt:"15",	sz:"2",	bt:"ED 52"},
	{op:"SBC HL,HL",	wt:"15",	sz:"2",	bt:"ED 62"},
	{op:"SBC HL,SP",	wt:"15",	sz:"2",	bt:"ED 72"},
	{op:"SCF",	wt:"4",	sz:"1",	bt:"37"},
	{op:"SET b,(HL)",	wt:"15",	sz:"2",	bt:"CB C6+8*b"},
	{op:"SET b,(IX+N)",	wt:"23",	sz:"4",	bt:"DD CB XX C6+8*b"},
	{op:"SET b,(IY+N)",	wt:"23",	sz:"4",	bt:"FD CB XX C6+8*b"},
	{op:"SET b,r",	wt:"8",	sz:"2",	bt:"CB C0+8*b+rb"},
	{op:"SLA (HL)",	wt:"15",	sz:"2",	bt:"CB 26"},
	{op:"SLA (IX+N)",	wt:"23",	sz:"4",	bt:"DD CB XX 26"},
	{op:"SLA (IY+N)",	wt:"23",	sz:"4",	bt:"FD CB XX 26"},
	{op:"SLA r",	wt:"8",	sz:"2",	bt:"CB 20+rb"},
	{op:"SRA (HL)",	wt:"15",	sz:"2",	bt:"CB 2E"},
	{op:"SRA (IX+N)",	wt:"23",	sz:"4",	bt:"DD CB XX 2E"},
	{op:"SRA (IY+N)",	wt:"23",	sz:"4",	bt:"FD CB XX 2E"},
	{op:"SRA r",	wt:"8",	sz:"2",	bt:"CB 28+rb"},
	{op:"SRL (HL)",	wt:"15",	sz:"2",	bt:"CB 3E"},
	{op:"SRL (IX+N)",	wt:"23",	sz:"4",	bt:"DD CB XX 3E"},
	{op:"SRL (IY+N)",	wt:"23",	sz:"4",	bt:"FD CB XX 3E"},
	{op:"SRL r",	wt:"8",	sz:"2",	bt:"CB 38+rb"},
	{op:"SUB (HL)",	wt:"7",	sz:"1",	bt:"96"},
	{op:"SUB (IX+N)",	wt:"19",	sz:"3",	bt:"DD 96 XX"},
	{op:"SUB (IY+N)",	wt:"19",	sz:"3",	bt:"FD 96 XX"},
	{op:"SUB r",	wt:"4",	sz:"1",	bt:"90+rb"},
	{op:"SUB N",	wt:"7",	sz:"2",	bt:"D6 XX"},
	{op:"XOR (HL)",	wt:"7",	sz:"1",	bt:"AE"},
	{op:"XOR (IX+N)",	wt:"19",	sz:"3",	bt:"DD AE XX"},
	{op:"XOR (IY+N)",	wt:"19",	sz:"3",	bt:"FD AE XX"},
	{op:"XOR r",	wt:"4",	sz:"1",	bt:"A8+rb"},
	{op:"XOR N",	wt:"7",	sz:"2",	bt:"EE XX"}
];
var opcodesIdx = {
	"ADC": {desc:"Add with carry",start:0,end:8},
	"ADD": {desc:"Add",start:9,end:25},
	"AND": {desc:"Logical AND",start:26,end:30},
	"BIT": {desc:"Test bit",start:31,end:34},
	"CALL": {desc:"Call subroutine",start:35,end:44},
	"CCF": {desc:"Complement carry flag",start:45,end:45},
	"CP": {desc:"Compare",start:46,end:50},
	"CPD": {desc:"Compare location (HL) and acc., decrement HL and BC",start:51,end:51},
	"CPDR": {desc:"Perform a CPD and repeat until BC=0",start:52,end:52},
	"CPI": {desc:"Compare location (HL) and acc., incr HL, decr BC",start:53,end:53},
	"CPIR": {desc:"Perform a CPI and repeat until BC=0",start:54,end:54},
	"CPL": {desc:"Complement accumulator (1's complement)",start:55,end:55},
	"DAA": {desc:"Decimal adjust accumulator",start:56,end:56},
	"DEC": {desc:"Decrement",start:57,end:72},
	"DI": {desc:"Disable interrupts",start:73,end:73},
	"DJNZ": {desc:"Decrement B and jump relative if B=0",start:74,end:74},
	"EI": {desc:"Enable interrupts",start:75,end:75},
	"EX": {desc:"Exchange registers/location",start:76,end:80},
	"EXX": {desc:"Exchange the contents of BC,DE,HL with BC',DE',HL'",start:81,end:81},
	"HALT": {desc:"Halt computer and wait for interrupt",start:82,end:82},
	"IM": {desc:"Set interrupt mode",start:83,end:85},
	"IN": {desc:"Load from port",start:86,end:93},
	"INC": {desc:"Increment",start:94,end:109},
	"IND": {desc:"(HL)=Input from port (C), decrement HL and B",start:110,end:110},
	"INDR": {desc:"Perform an IND and repeat until B=0",start:111,end:111},
	"INI": {desc:"(HL)=Input from port (C), incr HL, decr B",start:112,end:112},
	"INIR": {desc:"Perform an INI and repeat until B=0",start:113,end:113},
	"JP": {desc:"Absolute jump",start:114,end:125},
	"JR": {desc:"Relative jump",start:126,end:130},
	"LD": {desc:"Load register or memory location",start:131,end:200},
	"LDD": {desc:"Load location (DE) with location (HL), decrement DE,HL,BC",start:201,end:201},
	"LDDR": {desc:"Perform an LDD and repeat until BC=0",start:202,end:202},
	"LDI": {desc:"Load location (DE) with location (HL), incr DE,HL; decr BC",start:203,end:203},
	"LDIR": {desc:"Perform an LDI and repeat until BC=0",start:204,end:204},
	"NEG": {desc:"Negate accumulator (2's complement)",start:205,end:205},
	"NOP": {desc:"No operation",start:206,end:206},
	"OR": {desc:"Logical OR",start:207,end:211},
	"OTDR": {desc:"Perform an OUTD and repeat until B=0",start:212,end:212},
	"OTIR": {desc:"Perform an OTI and repeat until B=0",start:213,end:213},
	"OUT": {desc:"Write to output port",start:214,end:221},
	"OUTD": {desc:"Write (HL) to output port (C), decrement HL and B",start:222,end:222},
	"OUTI": {desc:"Write (HL) to output port (C), incr HL, decr B",start:223,end:223},
	"POP": {desc:"Pop value from top of stack",start:224,end:229},
	"PUSH": {desc:"Push value to top of stack",start:230,end:235},
	"RES": {desc:"Reset bit",start:236,end:239},
	"RET": {desc:"Return from call",start:240,end:248},
	"RETI": {desc:"Return from interrupt",start:249,end:249},
	"RETN": {desc:"Return from non-maskable interrupt",start:250,end:250},
	"RL": {desc:"Rotate left",start:251,end:254},
	"RLA": {desc:"Rotate left accumulator through carry",start:255,end:255},
	"RLC": {desc:"Rotate left circular",start:256,end:259},
	"RLCA": {desc:"Rotate left circular accumulator",start:260,end:260},
	"RLD": {desc:"Rotate digit left and right between accumulator and (HL)",start:261,end:261},
	"RR": {desc:"Rotate right through carry",start:262,end:265},
	"RRA": {desc:"Rotate right accumulator through carry",start:266,end:266},
	"RRC": {desc:"Rotate right circular",start:267,end:270},
	"RRCA": {desc:"Rotate right circular accumulator",start:271,end:271},
	"RRD": {desc:"Rotate digit right and left between accumulator and (HL)",start:272,end:272},
	"RST": {desc:"Restart to location",start:273,end:280},
	"SBC": {desc:"Subtract with carry",start:281,end:289},
	"SCF": {desc:"Set carry flag (C=1)",start:290,end:290},
	"SET": {desc:"Set bit",start:291,end:294},
	"SLA": {desc:"Shift left arithmetic",start:295,end:298},
	"SRA": {desc:"Shift right arithmetic",start:299,end:302},
	"SRL": {desc:"Shift right logical",start:303,end:306},
	"SUB": {desc:"Subtract from accumulator",start:307,end:311},
	"XOR": {desc:"Exclusive OR with accumulator",start:312,end:316}
};
